# pydicom.encaps.read_item

pydicom.encaps.read_item(fp: DicomIO) → bytes | None

  Read and return a single Item in the fragmented data stream.

  Deprecated since version 3.0: This function will be removed in v4.0, please use `generate_fragments()` instead.

  Parameters:

    fp (filebase.DicomIO) – The file-like to read the item from.

  Returns:

    The Item’s raw bytes.

  Return type:

    bytes